/**
 * @file 被缓存的页面，切换到其他页面再切换回来时，重新加载页面数据
 */
import { onActivated, ref } from 'vue';

export function useActivatedReload(reload) {
  const isOnActivated = ref(false);
  onActivated(() => {
    if (isOnActivated.value) {
      reload();
    } else {
      isOnActivated.value = true;
    }
  });
}
